%define oname		usbredir

%define major_parser		1
%define libname_parser		%mklibname usbredirparser %{major_parser}
%define develname_parser	%mklibname usbredirparser -d

%define major_host		1
%define libname_host		%mklibname usbredirhost %{major_host}
%define develname		%mklibname usbredir -d
%define develname_host		%mklibname usbredirhost -d

Name:		usbredir
Version:	0.8.0
Release:	%mkrel 3
License:	GPLv2+ ; LGPLv2+
Summary:	A protocol for redirection USB traffic
Group:		System/Libraries
URL:		http://spice-space.org/page/UsbRedir
Source0:	http://spice-space.org/download/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(libusb-1.0)

%description
The usbredir libraries allow USB devices to be used on remote and/or virtual
hosts over TCP.  The following libraries are provided:

usbredirparser:
A library containing the parser for the usbredir protocol

usbredirhost:
A library implementing the USB host side of a usbredir connection.
All that an application wishing to implement a USB host needs to do is:
* Provide a libusb device handle for the device
* Provide write and read callbacks for the actual transport of usbredir data
* Monitor for usbredir and libusb read/write events and call their handlers

# ---------------------------------------------------------------------------

%package -n %{libname_host}
Summary:	A protocol for redirection USB traffic
Group:		System/Libraries

%description -n %{libname_host}
usbredir is a protocol for redirection USB traffic from a single USB device,
to a different (virtual) machine then the one to which the USB device is
attached. See usb-redirection-protocol.txt for the description / definition
of this protocol.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname_host} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
# (tv) mga5 -> mga6 upgrade:
%rename %develname_parser
%rename %develname_host
Obsoletes:	usbredir-devel <= %{version}-%{release}


%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

# ---------------------------------------------------------------------------

%package -n %{libname_parser}
Summary:	A protocol for redirection USB traffic
Group:		System/Libraries

%description -n %{libname_parser}
usbredir is a protocol for redirection USB traffic from a single USB device,
to a different (virtual) machine then the one to which the USB device is
attached. See usb-redirection-protocol.txt for the description / definition
of this protocol.

%prep
%setup -q

%build
%configure --disable-static
%make_build V=1

%install
%make_install LIBDIR=%{_libdir} PREFIX=%{_prefix}

find %{buildroot} -name "*.la" -delete

%files -n %{develname}
%doc usb-redirection-protocol.txt README.multi-thread ChangeLog TODO
%{_includedir}/usbredir*.h
%{_libdir}/libusbredir*.so
%{_libdir}/pkgconfig/libusbredir*.pc

%files
%doc ChangeLog README
%license COPYING
%{_sbindir}/usbredirserver
%{_mandir}/man1/usbredirserver.1*

%files -n %{libname_host}
%{_libdir}/libusbredirhost.so.%{major_host}{,.*}

%files -n %{libname_parser}
%{_libdir}/libusbredirparser.so.%{major_parser}{,.*}



%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.8.0-3.mga8
+ Revision: 1517742
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.8.0-2.mga7
+ Revision: 1301545
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 daviddavid <daviddavid> 0.8.0-1.mga7
+ Revision: 1248738
- new version: 0.8.0
- add missing URL

* Tue May 17 2016 tv <tv> 0.7.1-2.mga6
+ Revision: 1016330
- 3 devel packages for 2 pkgconfig files is overkill & confuse client pkgs
- better description

* Wed Mar 16 2016 tv <tv> 0.7.1-1.mga6
+ Revision: 992159
- new release

* Thu Feb 04 2016 umeabot <umeabot> 0.7-4.mga6
+ Revision: 934497
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7-3.mga5
+ Revision: 746479
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7-2.mga5
+ Revision: 690092
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 pterjan <pterjan> 0.7-1.mga5
+ Revision: 640753
- Drop upstream patches
- 0.7

* Mon Mar 24 2014 oden <oden> 0.6-1.mga5
+ Revision: 607868
- sync with usbredir-0.6-5.fc21.src.rpm

* Fri Oct 18 2013 umeabot <umeabot> 0.4.3-3.mga4
+ Revision: 519913
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.4.3-2.mga3
+ Revision: 385161
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 ovitters <ovitters> 0.4.3-1.mga3
+ Revision: 249253
- update file list
- new version 0.4.3

* Wed Feb 08 2012 ovitters <ovitters> 0.3.3-1.mga2
+ Revision: 206393
- add configure stage
- update file list
- new version
- update source url

* Wed Nov 30 2011 ovitters <ovitters> 0.3.1-1.mga2
+ Revision: 174406
- fix group
- imported package usbredir

